<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Beetan
 */
?>
<!doctype html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<div id="page" class="site">

	<?php
	/**
	 * Functions hooked in to beetan_before_header action
	 *
	 * @hooked beetan_skip_links     -   0
	 */
	do_action( 'beetan_before_header' );
	?>

	<?php $header_variation = get_theme_mod( 'header_variation', '3' ); ?>

    <header id="masthead" class="site-header site-header__<?php echo esc_attr( $header_variation ); ?>">

        <div class="beetan-container">

			<?php get_template_part( 'template-parts/header/header', $header_variation ); ?>

        </div>

    </header><!-- #masthead -->

	<?php do_action( 'beetan_after_header' ); ?>
