<?php
/**
 * Add YITH Wishlist count ajax for live number update
 */
if ( defined( 'YITH_WCWL' ) && beetan_is_woocommerce_active() ) {
	function beetan_wishlist_ajax_update_count() {
		$count_num = yith_wcwl_count_all_products();

		wp_send_json( array(
			'count_num' => esc_html( $count_num )
		) );
	}

	add_action( 'wp_ajax_sp_update_wishlist_count', 'beetan_wishlist_ajax_update_count' );
	add_action( 'wp_ajax_nopriv_sp_update_wishlist_count', 'beetan_wishlist_ajax_update_count' );
}


/**
 * Add YITH Wishlist supportive scripts
 */
if ( defined( 'YITH_WCWL' ) && beetan_is_woocommerce_active() ) {
	function beetan_wishlist_enqueue_custom_script() {
		wp_add_inline_script(
			'jquery-yith-wcwl',
			"
			jQuery( function( $ ) {
				$( document ).on( 'added_to_wishlist removed_from_wishlist', function() {
					$.get( yith_wcwl_l10n.ajax_url, {
						action: 'sp_update_wishlist_count'
					}, function( data ) {
						$('.wishlist_items_count').hide().text( data.count_num ).fadeIn(500);
					} );
				} );
			} );
			"
		);
	}

	add_action( 'wp_enqueue_scripts', 'beetan_wishlist_enqueue_custom_script', 20 );
}